//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RankAbbreviation.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RankAbbreviation"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="subgen."/&gt;
 *     &lt;enumeration value="sect."/&gt;
 *     &lt;enumeration value="subsp."/&gt;
 *     &lt;enumeration value="var."/&gt;
 *     &lt;enumeration value="subvar."/&gt;
 *     &lt;enumeration value="forma"/&gt;
 *     &lt;enumeration value="f."/&gt;
 *     &lt;enumeration value="subforma"/&gt;
 *     &lt;enumeration value="subf."/&gt;
 *     &lt;enumeration value="f.spec."/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RankAbbreviation")
@XmlEnum
public enum RankAbbreviation {


    /**
     * Abbreviation for the botanical taxonomic rank subgenus.
     * 
     */
    @XmlEnumValue("subgen.")
    SUBGEN("subgen."),

    /**
     * Abbreviation for the botanical taxonomic rank section (lat: sectio).
     * 
     */
    @XmlEnumValue("sect.")
    SECT("sect."),

    /**
     * Abbreviation for the botanical taxonomic rank subspecies.
     * 
     */
    @XmlEnumValue("subsp.")
    SUBSP("subsp."),

    /**
     * Abbreviation for the botanical taxonomic rank variety (lat: varietas).
     * 
     */
    @XmlEnumValue("var.")
    VAR("var."),

    /**
     * Abbreviation for the botanical taxonomic rank subvariety (lat: subvarietas).
     * 
     */
    @XmlEnumValue("subvar.")
    SUBVAR("subvar."),

    /**
     * Latin name for the botanical taxonomic rank form (abbr.: f.).
     * 
     */
    @XmlEnumValue("forma")
    FORMA("forma"),

    /**
     * Abbreviation for the botanical taxonomic rank form (lat: forma).
     * 
     */
    @XmlEnumValue("f.")
    F("f."),

    /**
     * Latin name for the botanical taxonomic rank subform (abbr.: subf.).
     * 
     */
    @XmlEnumValue("subforma")
    SUBFORMA("subforma"),

    /**
     * Abbreviation for the botanical taxonomic rank subform (lat: subforma).
     * 
     */
    @XmlEnumValue("subf.")
    SUBF("subf."),

    /**
     * Abbreviation for the botanical taxonomic rank form species (lat: forma species).
     * 
     */
    @XmlEnumValue("f.spec.")
    F_SPEC("f.spec.");
    private final String value;

    RankAbbreviation(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RankAbbreviation fromValue(String v) {
        for (RankAbbreviation c: RankAbbreviation.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
